Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActMoodPredicate

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActMoodPredicate

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActMoodPredicate

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Mood Predicate', and utility methods for working with them. abstDomain: V10202 (C-0-D10196-V10202-cpt)

See Also:
  `CDAR2Package.getActMoodPredicate()`

Field Summary
`static int` | `EVNCRT` The 'EVNCRT' literal value.
`static ActMoodPredicate` | `EVNCRT_LITERAL` The 'EVNCRT' literal object.
`static int` | `GOL` The 'GOL' literal value.
`static ActMoodPredicate` | `GOL_LITERAL` The 'GOL' literal object.
`static int` | `OPT` The 'OPT' literal value.
`static ActMoodPredicate` | `OPT_LITERAL` The 'OPT' literal object.
`static int` | `PERM` The 'PERM' literal value.
`static ActMoodPredicate` | `PERM_LITERAL` The 'PERM' literal object.
`static int` | `PERMRQ` The 'PERMRQ' literal value.
`static ActMoodPredicate` | `PERMRQ_LITERAL` The 'PERMRQ' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Mood Predicate' enumerators.

Method Summary
`static ActMoodPredicate` | `get(int value)` Returns the 'Act Mood Predicate' literal with the specified integer value.
`static ActMoodPredicate` | `get(java.lang.String literal)` Returns the 'Act Mood Predicate' literal with the specified literal value.
`static ActMoodPredicate` | `getByName(java.lang.String name)` Returns the 'Act Mood Predicate' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVNCRT

    public static final int EVNCRT

  The 'EVNCRT' literal value.

  If the meaning of 'EVNCRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EVNCRT_LITERAL`, Constant Field Values

### GOL

    public static final int GOL

  The 'GOL' literal value.

  If the meaning of 'GOL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GOL_LITERAL`, Constant Field Values

### OPT

    public static final int OPT

  The 'OPT' literal value.

  If the meaning of 'OPT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OPT_LITERAL`, Constant Field Values

### PERM

    public static final int PERM

  The 'PERM' literal value.

  If the meaning of 'PERM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PERM_LITERAL`, Constant Field Values

### PERMRQ

    public static final int PERMRQ

  The 'PERMRQ' literal value.

  If the meaning of 'PERMRQ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PERMRQ_LITERAL`, Constant Field Values

### EVNCRT_LITERAL

    public static final ActMoodPredicate EVNCRT_LITERAL

  The 'EVNCRT' literal object.

  See Also:
    `EVNCRT`

### GOL_LITERAL

    public static final ActMoodPredicate GOL_LITERAL

  The 'GOL' literal object.

  See Also:
    `GOL`

### OPT_LITERAL

    public static final ActMoodPredicate OPT_LITERAL

  The 'OPT' literal object.

  See Also:
    `OPT`

### PERM_LITERAL

    public static final ActMoodPredicate PERM_LITERAL

  The 'PERM' literal object.

  See Also:
    `PERM`

### PERMRQ_LITERAL

    public static final ActMoodPredicate PERMRQ_LITERAL

  The 'PERMRQ' literal object.

  See Also:
    `PERMRQ`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Mood Predicate' enumerators.

Method Detail

### get

    public static ActMoodPredicate get(java.lang.String literal)

  Returns the 'Act Mood Predicate' literal with the specified literal value.

### getByName

    public static ActMoodPredicate getByName(java.lang.String name)

  Returns the 'Act Mood Predicate' literal with the specified name.

### get

    public static ActMoodPredicate get(int value)

  Returns the 'Act Mood Predicate' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD